@import "package:angular_components/css/material/material";
@import "package:angular_components/css/material/shadow";
@import "package:angular_components/material_input/mixins";

.popup-content {
  padding: $mat-grid;

  material-input {
    @include input-hide-bottom-section();
    @include input-hide-bottom-spaceholder();

    display: block;
    min-width: 100%;
  }
}

:host {
  .wrap {
    overflow-x: auto;

    td {
      white-space: normal;
      &.line-number {
        width: $mat-grid * 3;
        min-width: $mat-grid * 3;
        text-align: center;
      }
    }
  }

  .no-wrap {
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow-x: auto;
    td {
      max-width: 13vw;
      min-width: 7vw;
      overflow: hidden;
      text-overflow: ellipsis;
      &.line-number {
        width: $mat-grid * 3;
        min-width: $mat-grid * 3;
        text-align: center;
      }
    }
  }

  th {
    //@include mat-font-subhead;
    font-weight: $mat-font-weight-bold;
    background-color: $mat-cyan-300;
  }

  .hover {
    background-color: $mat-cyan-600;
  }
  .selected {
    background-color: $mat-cyan-50;
  }
}
